summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorEmil Renner Berthing2020-03-23 20:11:58 +0100
committerEmil Renner Berthing2020-03-23 20:11:58 +0100
commit8c2ced3e798361017e5f1ae3064c8ec2987512dc (patch)
tree9e1c1a52ad398411ed00a7825541761b77f4bc61
parentce9485ca9e378cb2ab05856e04c615417d45168b (diff)
downloadaur-8c2ced3e798361017e5f1ae3064c8ec2987512dc.tar.gz
Update to v2.34
-rw-r--r--.SRCINFO6
-rw-r--r--PKGBUILD6
2 files changed, 6 insertions, 6 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 1b58033de7f..f78e03b106f 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,14 +1,14 @@
pkgbase = riscv64-unknown-elf-binutils
pkgdesc = Assemble and manipulate binary and object files for 32bit and 64bit RISC-V
- pkgver = 2.33.1
+ pkgver = 2.34
pkgrel = 1
url = http://www.gnu.org/software/binutils/
arch = i686
arch = x86_64
license = GPL
depends = zlib
- source = https://ftp.gnu.org/gnu/binutils/binutils-2.33.1.tar.xz
- sha1sums = 06598868f5fa8efc98427dcb790d42c664f1a1a4
+ source = https://ftp.gnu.org/gnu/binutils/binutils-2.34.tar.xz
+ sha256sums = f00b0e8803dc9bab1e2165bd568528135be734df3fabf8d0161828cd56028952
pkgname = riscv64-unknown-elf-binutils
diff --git a/PKGBUILD b/PKGBUILD
index 6a6afd3038a..20904be29d9 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,7 +2,7 @@
_target=riscv64-unknown-elf
pkgname=$_target-binutils
-pkgver=2.33.1
+pkgver=2.34
pkgrel=1
pkgdesc='Assemble and manipulate binary and object files for 32bit and 64bit RISC-V'
arch=('i686' 'x86_64')
@@ -10,7 +10,7 @@ url='http://www.gnu.org/software/binutils/'
license=('GPL')
depends=('zlib')
source=("https://ftp.gnu.org/gnu/binutils/binutils-$pkgver.tar.xz")
-sha1sums=('06598868f5fa8efc98427dcb790d42c664f1a1a4')
+sha256sums=('f00b0e8803dc9bab1e2165bd568528135be734df3fabf8d0161828cd56028952')
prepare() {
cd binutils-$pkgver
@@ -44,7 +44,7 @@ check() {
# unset LDFLAGS as testsuite makes assumptions about which ones are active
# do not abort on errors - manually check log files
- make LDFLAGS="" -k check
+ make LDFLAGS="" -k check || true
}
package() {